petsc-3.7.1 2016-05-15
Report Typos and Errors

# MatMFFDSetFunctioniBase

Sets the base vector for a single component function evaluation

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatMFFDSetFunctioniBase(Mat mat,PetscErrorCode (*func)(void*,Vec))

Logically Collective on Mat Many br

### Input Parameters

| mat | - the matrix free matrix created via MatCreateSNESMF() Many br
| func | - the function to use Many br

Many br

### Notes

If you use this you MUST call MatAssemblyBegin()/MatAssemblyEnd() on the matrix free Many brmatrix inside your compute Jacobian routine Many br

### Keywords

SNES, matrix-free, function

### See Also

MatCreateSNESMF(),MatMFFDGetH(), MatCreateMFFD(), MATMFFD
MatMFFDSetHHistory(), MatMFFDResetHHistory(), SNESetFunction() Many br

Level:advanced
Location:src/mat/impls/mffd/mffd.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages